Package org.apache.sling.distribution.packaging

## Class DistributionPackageInfo

- java.lang.Object
- - org.apache.sling.api.wrappers.ValueMapDecorator
  - - org.apache.sling.distribution.packaging.DistributionPackageInfo

All Implemented Interfaces:
  `Map<String,​Object>`, `org.apache.sling.api.resource.ValueMap`

    @ProviderType
    public final class DistributionPackageInfo
    extends org.apache.sling.api.wrappers.ValueMapDecorator
    implements org.apache.sling.api.resource.ValueMap

Additional information about a package. Additional information is optional and components should expect every piece of it to be null.

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,​V extends Object>`

### Field Summary

Fields
`static String` `PROPERTY_PACKAGE_TYPE` distribution package type
`static String` `PROPERTY_REQUEST_DEEP_PATHS` distribution request deep paths
`static String` `PROPERTY_REQUEST_PATHS` distribution request paths
`static String` `PROPERTY_REQUEST_TYPE` distribution request type

### Fields inherited from interface org.apache.sling.api.resource.ValueMap

`EMPTY`

### Constructor Summary

Constructors
`DistributionPackageInfo​(String packageType)` Creates a new wrapper around an empty map.
`DistributionPackageInfo​(String packageType, Map<String,​Object> base)` Creates a new wrapper around a given map.

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable String[]` `getPaths()` get the paths covered by the package holding this info
`@Nullable org.apache.sling.distribution.DistributionRequestType` `getRequestType()` get the request type associated to the package holding this info
`@NotNull String` `getType()`
`String` `toString()`

### Methods inherited from class org.apache.sling.api.wrappers.ValueMapDecorator

`clear, containsKey, containsValue, entrySet, equals, get, get, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from interface org.apache.sling.api.resource.ValueMap

`get, get`

### Field Detail

#### PROPERTY_PACKAGE_TYPE

    public static final String PROPERTY_PACKAGE_TYPE

distribution package type

See Also:
  Constant Field Values

#### PROPERTY_REQUEST_PATHS

    public static final String PROPERTY_REQUEST_PATHS

distribution request paths

See Also:
  Constant Field Values

#### PROPERTY_REQUEST_DEEP_PATHS

    public static final String PROPERTY_REQUEST_DEEP_PATHS

distribution request deep paths

See Also:
  Constant Field Values

#### PROPERTY_REQUEST_TYPE

    public static final String PROPERTY_REQUEST_TYPE

distribution request type

See Also:
  Constant Field Values

### Constructor Detail

#### DistributionPackageInfo

    public DistributionPackageInfo​(String packageType,
                                   Map<String,​Object> base)

Creates a new wrapper around a given map.

Parameters:
  `base` - wrapped object
  `packageType` - type of package

#### DistributionPackageInfo

    public DistributionPackageInfo​(String packageType)

Creates a new wrapper around an empty map.

Parameters:
  `packageType` - type of package

### Method Detail

#### getType

    @NotNull
    public @NotNull String getType()

#### getPaths

    @Nullable
    public @Nullable String[] getPaths()

get the paths covered by the package holding this info

Returns:
  an array of paths

#### getRequestType

    @Nullable
    public @Nullable org.apache.sling.distribution.DistributionRequestType getRequestType()

get the request type associated to the package holding this info

Returns:
  the request type

#### toString

    public String toString()

Overrides:
  `toString` in class `org.apache.sling.api.wrappers.ValueMapDecorator`